import * as L from 'leaflet';
export declare const BaseCRS: new () => L.CRS;
/** Custom CRS using zoom levels configured in the background map. */
export declare class CRS extends BaseCRS {
    code: string;
    projection: L.Projection;
    /** Default: ensure longitude is positive and flip latitude. */
    transformation: L.Transformation;
    constructor(code: string, projection: L.Projection, 
        /** Default: ensure longitude is positive and flip latitude. */
        transformation?: L.Transformation);
    distance(ll1: any, ll2: any): number;
    scale(zoom: number): number;
    /** Needed for zooming to box by shift-dragging. */
    zoom(scale: number): number;
    range: number;
}
