"use strict";
// This file is part of charto-leaflet, copyright (c) 2017 BusFaster Ltd.
// Released under the MIT license, see LICENSE.
Object.defineProperty(exports, "__esModule", { value: true });
var L = require("leaflet");
/** Custom projection using pixels as map units.
  * Similar to L.Projection.LonLat but without hard-coded bounds. */
var Projection = /** @class */ (function () {
    function Projection(bounds) {
        this.bounds = bounds;
    }
    Projection.prototype.project = function (ll) {
        return (new L.Point(ll.lng, ll.lat));
    };
    Projection.prototype.unproject = function (xy) {
        return (new L.LatLng(xy.y, xy.x));
    };
    return Projection;
}());
exports.Projection = Projection;
//# sourceMappingURL=Projection.js.map